Thanks a lot. I tried installing the 'linux-headers' package and it did not work. I then realized that you had used 'linux-headers-generic' package. Cheers.